<?php
ob_start();
session_start();

require '../../../conexion.php';
require_once('../../../include/sesiones.php');
require "../../php_qr/qrlib.php";    
require_once dirname(__FILE__).'../../vendor/autoload.php';

use Spipu\Html2Pdf\Html2Pdf;
use Spipu\Html2Pdf\Exception\Html2PdfException;
use Spipu\Html2Pdf\Exception\ExceptionFormatter;

$docs_id=$_GET['docs_id'];
$can=mysqli_query($con,"SELECT * FROM dian_documento_soporte where docs_id='$docs_id'") or die(mysqli_error($con)); 
$dato=mysqli_fetch_array($can);
$docs_prefijo=$dato['docs_prefijo']; 
$docs_numero=$dato['docs_numero']; 
$docs_proveedor=$dato['docs_proveedor'];

try {
    ob_start();
    include(dirname('__FILE__').'/recibos/documento_soporte.php');
    $content = ob_get_clean();
    $html2pdf = new Html2Pdf('P', 'A4', 'fr', true, 'UTF-8', 0);
    $html2pdf->pdf->SetDisplayMode('fullpage');
    $html2pdf->writeHTML($content);
    $html2pdf->Output('DOCUMENTO'.$docs_numero.'.pdf', 'I');
} catch (Html2PdfException $e) {
    $html2pdf->clean();
    $formatter = new ExceptionFormatter($e);
    echo $formatter->getHtmlMessage();
}
?>